/* =================================
   DECLARAÇÕES
================================= */


.declaration-btn{

    position:relative;

    margin-top:30px;

    width:170px;

    height:52px;

    border:none;

    border-radius:50px;

    cursor:pointer;

    background:#C9A56A;

    color:white;

    font-size:16px;

    font-weight:600;

    overflow:hidden;

    transition:.35s;

}


.declaration-btn:hover{

    transform:translateY(-3px);

    background:#B38A42;

    box-shadow:
        0 15px 35px rgba(201,165,106,.35);

}


/* texto abrir */

.btn-open,
.btn-close{

    position:absolute;

    inset:0;

    display:flex;

    align-items:center;

    justify-content:center;

    transition:.35s;

}



/* X escondido */

.btn-close{

    opacity:0;

    transform:
        rotate(-90deg)
        scale(.5);

    font-size:32px;

    font-weight:300;

}



/* estado aberto */

.declaration-btn.active .btn-open{

    opacity:0;

    transform:
        translateY(-20px);

}


.declaration-btn.active .btn-close{

    opacity:1;

    transform:
        rotate(0)
        scale(1);

}



/* caixa da declaração */

.declaration{


    max-height:0;

    opacity:0;

    overflow:hidden;


    margin-top:0;


    padding:0 25px;


    background:

        linear-gradient(
            135deg,
            #FFF9EE,
            #FFFFFF
        );


    border-radius:22px;


    border:1px solid transparent;


    font-family:
        "Cormorant Garamond",
        serif;


    font-size:25px;


    line-height:1.8;


    color:#555;


    transition:

        max-height .6s ease,

        opacity .4s ease,

        margin .4s ease,

        padding .4s ease,

        border .4s ease;


}



/* aberto */

.declaration.show{


    max-height:250px;


    opacity:1;


    margin-top:25px;


    padding:30px 25px;


    border-color:#EFE0C4;


    box-shadow:

        0 20px 45px rgba(0,0,0,.06);


}



.declaration p{

    margin:0;

}



.declaration strong{


    display:block;


    margin-top:15px;


    font-family:
        "Cinzel",
        serif;


    font-size:14px;


    letter-spacing:2px;


    color:#B38A42;


}
